Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157185 - perl-Pod-Coverage: PPC rebuild failed due to build system not installing deps
Summary: perl-Pod-Coverage: PPC rebuild failed due to build system not installing deps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Pod-Coverage
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-08 22:22 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-12 22:11:49 UTC


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2005-05-08 22:22:15 UTC
Description of problem:
perl-Pod-coverage 0.17-3 failed to rebuild in PPC.

Build failure log:
http://extras64.linux.duke.edu/failed/development/perl-Pod-Coverage/0.17-3/ppc/perl-Pod-Coverage-0.17-3.failure.log

Comment 1 David Woodhouse 2005-05-12 08:19:01 UTC
error: Failed build dependencies:
	perl(Module::Build) is needed by perl-Pod-Coverage-0.17-3.ppc
	perl(Test::Pod) is needed by perl-Pod-Coverage-0.17-3.ppc

Sounds like a build system bug. If I install these dependencies it builds fine
for me on FC4.

Comment 2 Jose Pedro Oliveira 2005-05-12 19:52:08 UTC
Submitting new build request: perl-Test-Pod appears to have been built
successfully a couple of minutes ago.

RPMS:
http://extras64.linux.duke.edu/needsign/development/perl-Test-Pod/1.20-3/noarch/

Comment 3 Jose Pedro Oliveira 2005-05-12 20:13:17 UTC
Argh!

make build continues to fail: three more times in a row. I even removed the
perl-Pod-Coverage local copy and check it out again.  Make build just outputs
the first line (it does update the ../common/tobuild file).

Will test again in a couple of hours.

Comment 4 Michael Schwendt 2005-05-12 20:38:42 UTC
$ make build TARGET=development
For more information on using the Fedora CVS repositories, please visit
http://fedoraproject.org/wiki/UsingCvs
For more information on using the Fedora CVS repositories, please visit
http://fedoraproject.org/wiki/UsingCvs
**** Access allowed: mschwendt is in ACL for common.
Checking in tobuild;
/cvs/extras/common/tobuild,v  <--  tobuild
new revision: 1.436; previous revision: 1.435
done
Running syncmail...
Mailing cvsextras@fedora.redhat.com...
...syncmail done.


Comment 5 Michael Schwendt 2005-05-12 22:06:33 UTC
Build of perl-Pod-Coverage on development succeeded.


Comment 6 Jose Pedro Oliveira 2005-05-12 22:11:49 UTC
Thanks Michael!

Closing ticket.


Note You need to log in before you can comment on or make changes to this bug.